using WinformGeneralDeveloperFrame.Commons;
namespace MES.Entity
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("sysMenu")]
    public partial class sysMenuInfo
    {
        [ModelBindControl("txtid")]
        [NoEdit("txtid")]
        public int id{set;get;}
    [ModelBindControl("txtpid")]
    public int pid{set;get;}
    [ModelBindControl("txtname")]
    public string name{set;get;}
    [ModelBindControl("txticon")]
    public string icon{set;get;}
    [ModelBindControl("txtwinformType")]
    public string winformType{set;get;}
    [ModelBindControl("txtsort")]
    public string sort{set;get;}
    [ModelBindControl("txtisEnabled")]
    public bool isEnabled{set;get;}
    [ModelBindControl("txttoolList")]
    public string toolList{set;get;}
    [ModelBindControl("txtcreatorId")]
    public int creatorId{set;get;}
    [ModelBindControl("txtcreateTime")]
    public DateTime? createTime{set;get;}=DateTime.Now;
    [ModelBindControl("txteditorId")]
    public int editorId{set;get;}
    [ModelBindControl("txteditTime")]
    public DateTime? editTime{set;get;}=DateTime.Now;
    [ModelBindControl("txtisForm")]
    public bool isForm{set;get;}
    [ModelBindControl("txtisToolBtn")]
    public bool isToolBtn { set; get; }
    [ModelBindControl("txtfunctionCode")]
    public string functionCode { set; get; }
    }
}